<?php

namespace Drupal\auctioneer\Entity;

use Drupal\views\EntityViewsData;

/**
 * Provides Views data for auction entities.
 */
class AuctionViewsData extends EntityViewsData {

  /**
   * {@inheritdoc}
   */
  public function getViewsData() {
    $data = parent::getViewsData();
    $data['auctioneer_auction_statistics']['table']['group'] = $this->t('Auction statistics');
    $data['auctioneer_auction_statistics']['table']['join']['auction_field_data'] = [
      'type' => 'LEFT',
      'left_field' => 'id',
      'field' => 'auction_id',
    ];
    $data['auctioneer_auction_statistics']['total_amount_bids'] = [
      'title' => $this->t('Amount of bids'),
      'help' => $this->t('The total number of placed bids.'),
      'field' => [
        'id' => 'numeric',
      ],
      'filter' => [
        'id' => 'numeric',
      ],
      'sort' => [
        'id' => 'standard',
      ],
      'argument' => [
        'id' => 'standard',
      ],
    ];
    $data['auctioneer_auction_statistics']['timestamp'] = [
      'title' => $this->t('Last interaction timestamp'),
      'help' => $this->t('Date and time of when the last interaction was made.'),
      'field' => [
        'id' => 'date',
      ],
      'sort' => [
        'id' => 'date',
      ],
      'filter' => [
        'id' => 'date',
      ],
    ];
    $data['auctioneer_auction_statistics']['context'] = [
      'title' => $this->t('Context'),
      'help' => $this->t('Comma-separated list of contexts.'),
      'field' => [
        'id' => 'standard',
      ],
      'sort' => [
        'id' => 'string',
      ],
      'filter' => [
        'id' => 'string',
      ],
    ];

    return $data;
  }

}
